# ncurses 6.0 - patch 20160206 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 6.0 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 6.0 can be found at
# 	ftp://invisible-island.net/ncurses/6.0
#	http://invisible-mirror.net/archives/ncurses/6.0 
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/6.0/ncurses-6.0-20160206.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Feb  7 01:06:54 UTC 2016
# ------------------------------------------------------------------------------
# NEWS                             |    8 +++++++-
# VERSION                          |    2 +-
# configure                        |    4 ++--
# configure.in                     |    8 ++++----
# dist.mk                          |    4 ++--
# package/debian-mingw/changelog   |    4 ++--
# package/debian-mingw64/changelog |    4 ++--
# package/debian/changelog         |    4 ++--
# package/mingw-ncurses.nsi        |    4 ++--
# package/mingw-ncurses.spec       |    2 +-
# package/ncurses.spec             |    2 +-
# test/ditto.c                     |   10 +++++++---
# 12 files changed, 33 insertions(+), 23 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.2566 
--- ncurses-6.0-20160130+/NEWS	2016-01-30 19:38:41.000000000 +0000
+++ ncurses-6.0-20160206/NEWS	2016-02-06 22:10:53.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2566 2016/01/30 19:38:41 tom Exp $
+-- $Id: NEWS,v 1.2568 2016/02/06 22:10:53 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,12 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20160206
+	+ define WIN32_LEAN_AND_MEAN for MinGW port, making builds faster.
+	+ modify test/ditto.c to allow $XTERM_PROG environment variable to
+	  override "xterm" as the name of the program to run in the threaded
+	  configuration.
+
 20160130
 	+ improve formatting of man/curs_refresh.3x and man/tset.1 manpages
 	+ regenerate HTML manpages using newer man2html to eliminate some
Index: VERSION
--- ncurses-6.0-20160130+/VERSION	2016-01-30 15:30:48.000000000 +0000
+++ ncurses-6.0-20160206/VERSION	2016-02-06 17:26:30.000000000 +0000
@@ -1 +1 @@
-5:0:9	6.0	20160130
+5:0:9	6.0	20160206
Index: configure
--- ncurses-6.0-20160130+/configure	2015-12-20 02:07:50.000000000 +0000
+++ ncurses-6.0-20160206/configure	2016-02-06 21:59:36.000000000 +0000
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.625 .
+# From configure.in Revision: 1.626 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52.20150926.
 #
@@ -14499,7 +14499,7 @@
 ###	Checks for libraries.
 case $cf_cv_system_name in
 (*mingw32*|*mingw64*)
-	CPPFLAGS="$CPPFLAGS -DWINVER=0x0501"
+	CPPFLAGS="$CPPFLAGS -DWINVER=0x0501 -DWIN32_LEAN_AND_MEAN"
 	LIBS=" -lpsapi $LIBS"
 	;;
 (*)
Index: configure.in
Prereq:  1.625 
--- ncurses-6.0-20160130+/configure.in	2015-12-20 02:07:23.000000000 +0000
+++ ncurses-6.0-20160206/configure.in	2016-02-06 21:59:17.000000000 +0000
@@ -1,5 +1,5 @@
 dnl***************************************************************************
-dnl Copyright (c) 1998-2014,2015 Free Software Foundation, Inc.              *
+dnl Copyright (c) 1998-2015,2016 Free Software Foundation, Inc.              *
 dnl                                                                          *
 dnl Permission is hereby granted, free of charge, to any person obtaining a  *
 dnl copy of this software and associated documentation files (the            *
@@ -28,14 +28,14 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: configure.in,v 1.625 2015/12/20 02:07:23 tom Exp $
+dnl $Id: configure.in,v 1.626 2016/02/06 21:59:17 tom Exp $
 dnl Process this file with autoconf to produce a configure script.
 dnl
 dnl See http://invisible-island.net/autoconf/ for additional information.
 dnl
 dnl ---------------------------------------------------------------------------
 AC_PREREQ(2.52.20030208)
-AC_REVISION($Revision: 1.625 $)
+AC_REVISION($Revision: 1.626 $)
 AC_INIT(ncurses/base/lib_initscr.c)
 AC_CONFIG_HEADER(include/ncurses_cfg.h:include/ncurses_cfg.hin)
 
@@ -1449,7 +1449,7 @@
 ###	Checks for libraries.
 case $cf_cv_system_name in
 (*mingw32*|*mingw64*)
-	CPPFLAGS="$CPPFLAGS -DWINVER=0x0501"
+	CPPFLAGS="$CPPFLAGS -DWINVER=0x0501 -DWIN32_LEAN_AND_MEAN"
 	LIBS=" -lpsapi $LIBS"
 	;;
 (*)
Index: dist.mk
Prereq:  1.1091 
--- ncurses-6.0-20160130+/dist.mk	2016-01-30 15:30:48.000000000 +0000
+++ ncurses-6.0-20160206/dist.mk	2016-02-06 17:26:30.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1091 2016/01/30 15:30:48 tom Exp $
+# $Id: dist.mk,v 1.1092 2016/02/06 17:26:30 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 6
 NCURSES_MINOR = 0
-NCURSES_PATCH = 20160130
+NCURSES_PATCH = 20160206
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: package/debian-mingw/changelog
--- ncurses-6.0-20160130+/package/debian-mingw/changelog	2016-01-30 15:30:48.000000000 +0000
+++ ncurses-6.0-20160206/package/debian-mingw/changelog	2016-02-06 17:26:30.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20160130) unstable; urgency=low
+ncurses6 (6.0+20160206) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 30 Jan 2016 10:30:48 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 06 Feb 2016 12:26:30 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-6.0-20160130+/package/debian-mingw64/changelog	2016-01-30 15:30:48.000000000 +0000
+++ ncurses-6.0-20160206/package/debian-mingw64/changelog	2016-02-06 17:26:30.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20160130) unstable; urgency=low
+ncurses6 (6.0+20160206) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 30 Jan 2016 10:30:48 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 06 Feb 2016 12:26:30 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-6.0-20160130+/package/debian/changelog	2016-01-30 15:30:48.000000000 +0000
+++ ncurses-6.0-20160206/package/debian/changelog	2016-02-06 17:26:30.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20160130) unstable; urgency=low
+ncurses6 (6.0+20160206) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 30 Jan 2016 10:30:48 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 06 Feb 2016 12:26:30 -0500
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.143 
--- ncurses-6.0-20160130+/package/mingw-ncurses.nsi	2016-01-30 15:30:48.000000000 +0000
+++ ncurses-6.0-20160206/package/mingw-ncurses.nsi	2016-02-06 17:26:30.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.143 2016/01/30 15:30:48 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.144 2016/02/06 17:26:30 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "6"
 !define VERSION_MINOR "0"
 !define VERSION_YYYY  "2016"
-!define VERSION_MMDD  "0130"
+!define VERSION_MMDD  "0206"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-6.0-20160130+/package/mingw-ncurses.spec	2016-01-30 15:30:48.000000000 +0000
+++ ncurses-6.0-20160206/package/mingw-ncurses.spec	2016-02-06 17:26:30.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 6.0
-Release: 20160130
+Release: 20160206
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-6.0-20160130+/package/ncurses.spec	2016-01-30 15:30:48.000000000 +0000
+++ ncurses-6.0-20160206/package/ncurses.spec	2016-02-06 17:26:30.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 6.0
-Release: 20160130
+Release: 20160206
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: test/ditto.c
Prereq:  1.42 
--- ncurses-6.0-20160130+/test/ditto.c	2012-11-24 20:16:18.000000000 +0000
+++ ncurses-6.0-20160206/test/ditto.c	2016-02-06 21:19:28.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2011,2012 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2012,2016 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -29,7 +29,7 @@
 /*
  * Author: Thomas E. Dickey (1998-on)
  *
- * $Id: ditto.c,v 1.42 2012/11/24 20:16:18 tom Exp $
+ * $Id: ditto.c,v 1.43 2016/02/06 21:19:28 tom Exp $
  *
  * The program illustrates how to set up multiple screens from a single
  * program.
@@ -155,6 +155,10 @@
     int aslave;
     char slave_name[1024];
     char s_option[sizeof(slave_name) + 80];
+    const char *xterm_prog = 0;
+
+    if ((xterm_prog = getenv("XTERM_PROG")) == 0)
+	xterm_prog = "xterm";
 
     if (openpty(&amaster, &aslave, slave_name, 0, 0) != 0
 	|| strlen(slave_name) > sizeof(slave_name) - 1)
@@ -165,7 +169,7 @@
     }
     sprintf(s_option, "-S%s/%d", slave_name, aslave);
     if (fork()) {
-	execlp("xterm", "xterm", s_option, "-title", path, (char *) 0);
+	execlp(xterm_prog, xterm_prog, s_option, "-title", path, (char *) 0);
 	_exit(0);
     }
     fp = fdopen(amaster, "r+");
